net.sourceforge.pmd.lang.jsp.rule

## Class AbstractJspRule

- java.lang.Object
- - net.sourceforge.pmd.AbstractPropertySource
  - - net.sourceforge.pmd.lang.rule.AbstractRule
    - - net.sourceforge.pmd.lang.jsp.rule.AbstractJspRule

- All Implemented Interfaces:
    JspParserVisitor, ImmutableLanguage, PropertySource, Rule
  Direct Known Subclasses:
    DuplicateJspImportsRule, NoInlineStyleInformationRule

      public abstract class AbstractJspRule
      extends AbstractRule
      implements JspParserVisitor, ImmutableLanguage

- - ### Field Summary

    - ### Fields inherited from class net.sourceforge.pmd.AbstractPropertySource

      `propertyDescriptors, propertyValuesByDescriptor`

    - ### Fields inherited from interface net.sourceforge.pmd.Rule

      `VIOLATION_SUPPRESS_REGEX_DESCRIPTOR, VIOLATION_SUPPRESS_XPATH_DESCRIPTOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractJspRule()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `apply(List<? extends Node> nodes, RuleContext ctx)` Apply this rule to the given collection of nodes, using the given context.
    `void` | `setUsesTypeResolution()` Sets whether this Rule uses Type Resolution.
    `Object` | `visit(ASTAttribute node, Object data)`
    `Object` | `visit(ASTAttributeValue node, Object data)`
    `Object` | `visit(ASTCData node, Object data)`
    `Object` | `visit(ASTCommentTag node, Object data)`
    `Object` | `visit(ASTCompilationUnit node, Object data)`
    `Object` | `visit(ASTContent node, Object data)`
    `Object` | `visit(ASTDeclaration node, Object data)`
    `Object` | `visit(ASTDoctypeDeclaration node, Object data)`
    `Object` | `visit(ASTDoctypeExternalId node, Object data)`
    `Object` | `visit(ASTElement node, Object data)`
    `Object` | `visit(ASTElExpression node, Object data)`
    `Object` | `visit(ASTHtmlScript node, Object data)`
    `Object` | `visit(ASTJspComment node, Object data)`
    `Object` | `visit(ASTJspDeclaration node, Object data)`
    `Object` | `visit(ASTJspDirectiveAttribute node, Object data)`
    `Object` | `visit(ASTJspDirective node, Object data)`
    `Object` | `visit(ASTJspExpressionInAttribute node, Object data)`
    `Object` | `visit(ASTJspExpression node, Object data)`
    `Object` | `visit(ASTJspScriptlet node, Object data)`
    `Object` | `visit(ASTText node, Object data)`
    `Object` | `visit(ASTUnparsedText node, Object data)`
    `Object` | `visit(ASTValueBinding node, Object data)`
    `Object` | `visit(JspNode node, Object data)`
    `protected void` | `visitAll(List<? extends Node> nodes, RuleContext ctx)`

    - ### Methods inherited from class net.sourceforge.pmd.lang.rule.AbstractRule

      `addExample, addRuleChainVisit, addRuleChainVisit, addViolation, addViolation, addViolation, addViolationWithMessage, addViolationWithMessage, addViolationWithMessage, deepCopyValuesTo, end, equals, getDescription, getExamples, getExternalInfoUrl, getLanguage, getMaximumLanguageVersion, getMessage, getMinimumLanguageVersion, getName, getParserOptions, getPriority, getRuleChainVisits, getRuleClass, getRuleSetName, getSince, hashCode, isDeprecated, setDeprecated, setDescription, setExternalInfoUrl, setLanguage, setMaximumLanguageVersion, setMessage, setMinimumLanguageVersion, setName, setPriority, setRuleClass, setRuleSetName, setSince, setUsesDFA, start, usesDFA, usesRuleChain, usesTypeResolution`

    - ### Methods inherited from class net.sourceforge.pmd.AbstractPropertySource

      `copyPropertyDescriptors, copyPropertyValues, definePropertyDescriptor, dysfunctionReason, getPropertiesByPropertyDescriptor, getProperty, getPropertyDescriptor, getPropertyDescriptors, hasDescriptor, ignoredProperties, setProperty, useDefaultValueFor, usesDefaultValues`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sourceforge.pmd.PropertySource

      `definePropertyDescriptor, dysfunctionReason, getPropertiesByPropertyDescriptor, getProperty, getPropertyDescriptor, getPropertyDescriptors, hasDescriptor, ignoredProperties, setProperty, useDefaultValueFor, usesDefaultValues`

- - ### Constructor Detail

    - #### AbstractJspRule

          public AbstractJspRule()

  - ### Method Detail

    - #### setUsesTypeResolution

          public void setUsesTypeResolution()

      Description copied from interface: `Rule`
      Sets whether this Rule uses Type Resolution.
      Specified by:
        `setUsesTypeResolution` in interface `Rule`
      Overrides:
        `setUsesTypeResolution` in class `AbstractRule`
      See Also:
        `Rule.setUsesTypeResolution()`

    - #### apply

          public void apply(List<? extends Node> nodes,
                   RuleContext ctx)

      Description copied from interface: `Rule`
      Apply this rule to the given collection of nodes, using the given context.
      Specified by:
        `apply` in interface `Rule`

    - #### visitAll

          protected void visitAll(List<? extends Node> nodes,
                      RuleContext ctx)

    - #### visit

          public Object visit(JspNode node,
                     Object data)

      Specified by:
        `visit` in interface `JspParserVisitor`

    - #### visit

          public Object visit(ASTCompilationUnit node,
                     Object data)

      Specified by:
        `visit` in interface `JspParserVisitor`

    - #### visit

          public Object visit(ASTContent node,
                     Object data)

      Specified by:
        `visit` in interface `JspParserVisitor`

    - #### visit

          public Object visit(ASTJspDirective node,
                     Object data)

      Specified by:
        `visit` in interface `JspParserVisitor`

    - #### visit

          public Object visit(ASTJspDirectiveAttribute node,
                     Object data)

      Specified by:
        `visit` in interface `JspParserVisitor`

    - #### visit

          public Object visit(ASTJspScriptlet node,
                     Object data)

      Specified by:
        `visit` in interface `JspParserVisitor`

    - #### visit

          public Object visit(ASTJspExpression node,
                     Object data)

      Specified by:
        `visit` in interface `JspParserVisitor`

    - #### visit

          public Object visit(ASTJspDeclaration node,
                     Object data)

      Specified by:
        `visit` in interface `JspParserVisitor`

    - #### visit

          public Object visit(ASTJspComment node,
                     Object data)

      Specified by:
        `visit` in interface `JspParserVisitor`

    - #### visit

          public Object visit(ASTText node,
                     Object data)

      Specified by:
        `visit` in interface `JspParserVisitor`

    - #### visit

          public Object visit(ASTUnparsedText node,
                     Object data)

      Specified by:
        `visit` in interface `JspParserVisitor`

    - #### visit

          public Object visit(ASTElExpression node,
                     Object data)

      Specified by:
        `visit` in interface `JspParserVisitor`

    - #### visit

          public Object visit(ASTValueBinding node,
                     Object data)

      Specified by:
        `visit` in interface `JspParserVisitor`

    - #### visit

          public Object visit(ASTCData node,
                     Object data)

      Specified by:
        `visit` in interface `JspParserVisitor`

    - #### visit

          public Object visit(ASTElement node,
                     Object data)

      Specified by:
        `visit` in interface `JspParserVisitor`

    - #### visit

          public Object visit(ASTAttribute node,
                     Object data)

      Specified by:
        `visit` in interface `JspParserVisitor`

    - #### visit

          public Object visit(ASTAttributeValue node,
                     Object data)

      Specified by:
        `visit` in interface `JspParserVisitor`

    - #### visit

          public Object visit(ASTJspExpressionInAttribute node,
                     Object data)

      Specified by:
        `visit` in interface `JspParserVisitor`

    - #### visit

          public Object visit(ASTCommentTag node,
                     Object data)

      Specified by:
        `visit` in interface `JspParserVisitor`

    - #### visit

          public Object visit(ASTDeclaration node,
                     Object data)

      Specified by:
        `visit` in interface `JspParserVisitor`

    - #### visit

          public Object visit(ASTDoctypeDeclaration node,
                     Object data)

      Specified by:
        `visit` in interface `JspParserVisitor`

    - #### visit

          public Object visit(ASTDoctypeExternalId node,
                     Object data)

      Specified by:
        `visit` in interface `JspParserVisitor`

    - #### visit

          public Object visit(ASTHtmlScript node,
                     Object data)

      Specified by:
        `visit` in interface `JspParserVisitor`

Copyright © 2002-2013 InfoEther. All Rights Reserved.